<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('sites', function (Blueprint $table) {
            $table->id();
            $table->string('name', 255);
            $table->string('location', 255);
            $table->decimal('lat', 10, 8);
            $table->decimal('longi', 11, 8);
            $table->text('description_fr');
            $table->text('description_en');
            $table->integer('standard_price')->unsigned();
            $table->integer('premium_price')->unsigned();
            $table->time('visit_start_time');
            $table->time('visit_end_time');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('sites');
    }
};
